=== debian/changelog ===
feel++ (0.91.4-3) unstable; urgency=low

  [ Christophe Prud'homme ]
  * debian/control: update Standards-Version to 3.9.3 (no change)
  * debian/rules: revert back to g++-4.6, g++-4.7 is too broken
  
  [ Dmitrijs Ledkovs ]
  * debian/control: remove alternative dependencies on libboost1.46-* in
    the libfeel++-dev package. BinNMUs can and have transitioned the
    package to boost1.49 by now, so the dependency should only be on the
    default boost packages. This will get the package 'unstuck' in the
    boost1.49 transition tracker.

  [ Daniel Leidert ]
  * debian/watch: sent watch file patch for google code

 -- Christophe Prud'homme <prudhomm@debian.org>  Mon, 11 Jun 2012 00:32:51 +0200

feel++ (0.91.4-2) unstable; urgency=low

  * debian/control: openturns-wrapper no longer exists, do no depend on it
    anymore

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 20 May 2012 21:48:47 +0200

feel++ (0.91.4-1) unstable; urgency=low

  [ Christophe Prud'homme ]
  * New upstream release
  * debian/{control,rules}: remove trilinos deps and support

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 19 May 2012 00:03:11 +0200

feel++ (0.91.3-4) unstable; urgency=low

  * debian/control: depend only on slepc which depend on petsc and depend
    on slepc3.1(hence petsc3.1) as well as slepc3.2 (hence petsc3.2). This
    change should allow to compile on Ubuntu.

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 07 Apr 2012 07:42:58 +0200

feel++ (0.91.3-3) unstable; urgency=low

  * debian/copyright: update.
  * debian/control: remove some build-depends (e.g. python-{pyx,scipy})
    that are no longer necessary
  * debian/control: only build for amd64, i386 ia64, powerpc and
    sparc. The other architectures are not targets for feel++ which
    requires a lot of memory to compile.

 -- Christophe Prud'homme <prudhomm@debian.org>  Wed, 04 Apr 2012 12:04:06 +0200

feel++ (0.91.3-2) unstable; urgency=low

  * debian/rules: remove sparc specific config 

 -- Christophe Prud'homme <prudhomm@debian.org>  Tue, 03 Apr 2012 10:05:33 +0200

feel++ (0.91.3-1) unstable; urgency=low

  * New upstream release

 -- Christophe Prud'homme <prudhomm@debian.org>  Tue, 03 Apr 2012 09:10:57 +0200

feel++ (0.91.2-1) unstable; urgency=low

  * New upstream release

 -- Christophe Prud'homme <prudhomm@debian.org>  Mon, 02 Apr 2012 23:32:28 +0200
