=== debian/rules ===
#!/usr/bin/make -f

DEB_AUTO_CLEANUP_RCS   := yes
DEB_COMPRESS_EXCLUDE   := .pdf


include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

export CXX=/usr/bin/g++-4.6
export CFLAGS=
export CXXFLAGS=

DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_ARCH_OS := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
DEB_BUILD_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
PETSC_ARCH=$(DEB_BUILD_GNU_SYSTEM)

FEELPP_INSTALL_ENABLERS=-DBUILD_TESTING=OFF                  \
		      -DFEELPP_ENABLE_DOCUMENTATION=ON       \
                      -DFEELPP_MINIMAL_CONFIGURATION=ON

DEB_CMAKE_EXTRA_FLAGS=                      \
        -DCMAKE_CXX_COMPILER=/usr/bin/g++-4.6 \
        -DCMAKE_BUILD_TYPE=Release          \
	-DCMAKE_CXX_FLAGS_RELEASE="-O2 -DNDEBUG -g0"  \
	-DPETSC_ARCH=$(PETSC_ARCH)-c-opt        \
	-DPETSC_DIR=/usr/lib/petscdir/3.2 \
	-DPETSC_EXECUTABLE_RUNS=ON          \
	-DFEELPP_ENABLE_TRILINOS=OFF      \
	-DFEELPP_ENABLE_APPLICATIONS=OFF      \
	-DFEELPP_ENABLE_APPLICATIONS_CRB=ON      \
	-DFEELPP_ENABLE_BENCHMARKS=OFF        \
	-DFEELPP_ENABLE_TESTS=OFF             \
	-DFEELPP_ENABLE_EXAMPLES=OFF          \
	-DFEELPP_OPUS_ENABLE_EADS=ON        \
	${FEELPP_INSTALL_ENABLERS}            \
	-DTRILINOS_LIB_NOXLAPACK=           \
	-DFEELPP_ENABLE_INSTANTIATION_MODE=OFF \
	$(CURDIR)/$(DEB_SRCDIR) 


#build/feel++-apps::
#	-cd $(DEB_BUILDDIR) && ctest -D Experimental

#build/libfeel++::
#	-cd $(DEB_BUILDDIR) && make doc

build/feel++-doc::
	-cd $(DEB_BUILDDIR)/doc/api && make doxygen

binary-install/feel++-apps::
	strip debian/feel++-apps/usr/bin/*

get-orig-source:
	uscan --force-download
